%define upstream_name Archive-Any-Lite
%define upstream_version 0.07

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	Simple CPAN package extractor
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Archive/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Archive::Zip)
BuildRequires:	perl(Test::UseAllModules)

BuildArch:	noarch

%description
Simple CPAN package extractor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.70.0-2.mga4
+ Revision: 531457
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 sander85 <sander85> 0.70.0-1.mga4
+ Revision: 463448
- imported package perl-Archive-Any-Lite

